<template>
  <q-page
    class="row items-center justify-evenly"
    :style="{
      backgroundImage: `url(${backgroundUrl})`,
      backgroundSize: 'cover',
      backgroundRepeat: 'no-repeat',
      backgroundPosition: 'center'
    }"
  >
    <login-card />
  </q-page>
</template>

<script setup lang="ts">
import LoginCard from 'components/LoginCard.vue';
import { useMeta } from 'quasar';
import backgroundUrl from '../assets/images/5509862_1.png';

defineOptions({
  name: 'LoginPage'
});

useMeta({
  title: 'Connexion',
  titleTemplate(title) {
    return title ? `${title} - Gloopbook` : 'Gloopbook';
  },
});
</script>
